Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.server.parser
Class AbstractOWLIndividualElementHandler<R extends KBRequest>

    java.lang.Object

          org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkElementHandler<R>
              org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkKBRequestElementHandler<R>
                  org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkObjectRequestElementHandler<R,OWLIndividual>
                      org.semanticweb.owlapi.owllink.server.parser.AbstractOWLIndividualElementHandler<R>

All Implemented Interfaces:
  OWLlinkElementHandler<R>, OWLlinkRequestElementHandler<R>

Direct Known Subclasses:
  OWLlinkGetDataPropertiesBetweenElementHandler, OWLlinkGetDataPropertiesOfSource, OWLlinkGetDataPropertyTargetsElementHandler, OWLlinkGetDifferentIndividualsElementHandler, OWLlinkGetFlattendObjectPropertySources, OWLlinkGetFlattenedDifferentIndividualsElementHandler, OWLlinkGetFlattenedObjectPropertyTargets, OWLlinkGetFlattenedTypesElementHandler, OWLlinkGetObjectPropertiesOfSource, OWLlinkGetObjectPropertiesOfTargetElementHandler, OWLlinkGetObjectPropertyTargetsElementHandler, OWLlinkGetSameIndividualsElementHandler, OWLlinkGetTypesElementHandler

    public abstract class AbstractOWLIndividualElementHandler<R extends KBRequest>

extends AbstractOWLlinkObjectRequestElementHandler<R,OWLIndividual>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 28.11.2009

Field Summary

Fields inherited from class org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkObjectRequestElementHandler
`o`

Constructor Summary
`AbstractOWLIndividualElementHandler(OWLXMLParserHandler handler)`

Method Summary
`void` | `handleChild(OWLAnonymousIndividualElementHandler handler)`
`void` | `handleChild(OWLIndividualElementHandler handler)`

Methods inherited from class org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkObjectRequestElementHandler
`getObject, startElement`

Methods inherited from class org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkKBRequestElementHandler
`attribute, endElement, getKB`

Methods inherited from class org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkElementHandler
`getOWLlinkObject, getParentHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owlapi.owllink.server.parser.OWLlinkElementHandler
`getOWLlinkObject`

Constructor Detail

### AbstractOWLIndividualElementHandler

    public AbstractOWLIndividualElementHandler(OWLXMLParserHandler handler)

Method Detail

### handleChild

    public void handleChild(OWLIndividualElementHandler handler)
                     throws OWLXMLParserException

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<R extends KBRequest>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<R extends KBRequest>`
  Throws:
    `OWLXMLParserException`

### handleChild

    public void handleChild(OWLAnonymousIndividualElementHandler handler)
                     throws OWLXMLParserException

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<R extends KBRequest>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<R extends KBRequest>`
  Throws:
    `OWLXMLParserException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD